Retrieve Tenant for current Org

View as Markdown
Retrieve Tenant entity for current Org. `capabilities.targetedInstanceCreation` is a deprecated read-only aggregate: it is `true` when all Ready Tenant Account for this Tenant has TargetedInstanceCreation enabled in its configuration to preserve backwards compatibility. Configure the capability per Provider/per Site via PATCH `/tenant/account/{accountId}` using `siteCapabilities`. Disallowing at Provider or Site level would result in no value returned here. User must have authorization role with `TENANT_ADMIN` suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique ID of the Tenant
orgstringOptional

Name/external ID of Tenant’s organization

orgDisplayNamestring or nullOptional
Display name of Tenant's organization
createddatetimeOptionalRead-only

Date/time the Tenant was created

updateddatetimeOptional

Date/time when Tenant was last updated

capabilitiesobjectOptional

Deprecated read-only aggregate of tenant-wide feature flags. Source of truth is Tenant Account siteCapabilities.

deprecationslist of objectsOptional
Deprecation notices for Tenant fields

Errors

403
Forbidden Error